Author: Guido Berhoerster <guido+debian@berhoerster.name>
Description: Check the return value of XOpenDisplay and handle failure
--- qtsystems.orig/src/systeminfo/linux/qscreensaver_linux.cpp
+++ qtsystems/src/systeminfo/linux/qscreensaver_linux.cpp
@@ -58,6 +58,9 @@ bool QScreenSaverPrivate::screenSaverEna
     int preferBlanking = 0;
     int allowExposures = 0;
     Display *display = XOpenDisplay(0);
+    if (!display) {
+        return false;
+    }
     XGetScreenSaver(display, &timeout, &interval, &preferBlanking, &allowExposures);
     XCloseDisplay(display);
     return (timeout > 0);
@@ -74,6 +77,9 @@ void QScreenSaverPrivate::setScreenSaver
     int preferBlanking = 0;
     int allowExposures = 0;
     Display *display = XOpenDisplay(0);
+    if (!display) {
+        return;
+    }
     XGetScreenSaver(display, &timeout, &interval, &preferBlanking, &allowExposures);
 
     if (enabled && timeout > 0)
